Name:		 perl-Crypt-Random
Summary:	 Crypt-Random Perl module
Version:	 1.11
Release:	 2mdk
License:	 Artistic
Group:		 Development/Perl
Source:		 http://search.cpan.org/%{name}-%{version}.tar.bz2
BuildRoot:	 %_tmppath/%name-%version-root
URL:		 http://search.cpan.org/
Buildarch:	noarch

%description
Crypt::Random is an interface module to the /dev/random device found on most
modern Unix systems. The /dev/random driver gathers environmental noise from
various non-deterministic sources including inter-keyboard timings and
inter-interrupt timings that occur within the operating system environment.
The /dev/random driver maintains an estimate of true randomness in the pool and
decreases it every time random strings are requested for use. When the estimate
goes down to zero, the routine blocks and waits for the occurrence of
non-deterministic events to refresh the pool.
The /dev/random kernel module also provides another interface, /dev/urandom,
that does not wait for the entropy-pool to recharge and returns as many bytes
as requested. /dev/urandom is considerably faster at generation compared to
/dev/random, which should be used only when very high quality randomness is
desired.


%prep

%setup

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes MANIFEST README 
%_bindir/*
%{perl_vendorlib}/Crypt/*.pm
%{perl_vendorlib}/Crypt/Random
%{_mandir}/*/*

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.11-2mdk
- rebuild

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- from Daniel Lacroix <dlacroix@erasme.org> :
	- generated by cpan2rpm version 0.1 for Mandrake 9.0
